Subject: Ticket Assigned - Article Feedback - Can I return my online purchases to a Landmark store?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 15 Sep 2020 05:58:38 +0000

Hi Fauzan Musalman,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - Can I return my online purchases to a Landmark store? Feedback for:  Can I return my online purchases to a Landmark store? Hi, my order number is # 9601097221 & I called many times to return back this items on same day but no results as package is still with me so if you are not able replace it than should promise to your customers.. so I should not wait to return this product.  
I will take care next time. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1482247